if(NOT UTILITY_DEBUG_CONSOLE_MIMXRT1052_INCLUDED)

set(UTILITY_DEBUG_CONSOLE_MIMXRT1052_INCLUDED true CACHE BOOL "utility_debug_console component is included.")

target_sources(${MCUX_SDK_PROJECT_NAME} PRIVATE
${CMAKE_CURRENT_LIST_DIR}/fsl_debug_console.c
${CMAKE_CURRENT_LIST_DIR}/fsl_str.c
)


target_include_directories(${MCUX_SDK_PROJECT_NAME} PRIVATE
${CMAKE_CURRENT_LIST_DIR}/
)


include(component_serial_manager_MIMXRT1052)

include(driver_common_MIMXRT1052)

endif()
